trafodion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carol Pearson <carol.pearson...@gmail.com>
Subject Re: 答复: [vote] add vanilla hbase 1.1 support to trafodion 2.0 release
Date Fri, 13 May 2016 19:26:10 GMT
Hi,

My understanding is Hortonworks Hadoop versions HDP 2.3 and 2.4 package
HBase 1.1 as HBase in their distro package.  So does not supporting HBase
1.1 mean that Trafodion 2.0 is incompatible in some way with that
particular distribution?  What effect would someone see for that, and how
important is that to the Trafodion project?

Trying to understand the impact here.

-Carol P.



---------------------------------------------------------------
Email:    carol.pearson234@gmail.com
Twitter:  @CarolP222
---------------------------------------------------------------

On Fri, May 13, 2016 at 10:04 AM, Amanda Moran <amanda.moran@esgyn.com>
wrote:

> Hi there Aven and All-
>
> I think having HBase 1.1 support is a great thing, but sounds like a bit of
> work. We work on HBase 1.0 for a vanilla configuration and I think that's
> good for now. (My opinion). We can add HBase 1.1 vanilla support for the
> next release.
>
> Thanks!
>
> On Fri, May 13, 2016 at 1:45 AM, Ma, Sheng-Chen (Aven) <
> shengchen.ma@esgyn.cn> wrote:
>
> > Hi Carol:
> > Yes missed one area... Last time tested with hdp2.3, some of the java
> > files in hbase-trx-xx.jar is generated by pp.awk, it just gen hdp version
> > (gen hbase-trx-hdp2_3-2.0.0.jar), this time need to gen apache version
> > (hbase-trx-apache1_1_x-2.0.0.jar) some I need to change the script , and
> > add "mark" to the xxx.java.tmpl.(Prashanth created it ,and knows the
> > detail,). Also to support hbase1.0 & 1.1 (api changed) I need to use a
> > variable to control which hbase-trx-apache jar package generated(1.0 or
> > 1.1).
> >
> > -----邮件原件-----
> > 发件人: Carol Pearson [mailto:carol.pearson234@gmail.com]
> > 发送时间: 2016年5月13日 15:08
> > 收件人: dev@trafodion.incubator.apache.org
> > 主题: Re: [vote] add vanilla hbase 1.1 support to trafodion 2.0 release
> >
> > Hi Aven,
> >
> > What specifically doesn't work right now?
> >
> > I thought Trafodion 2.0 had been tested with HDP 2.3 and 2.4, which is
> > HBase 1.1.x-based?  Did that testing miss an area?
> >
> > Thanks!
> > -Carol P.
> >
> > ---------------------------------------------------------------
> > Email:    carol.pearson234@gmail.com
> > Twitter:  @CarolP222
> > ---------------------------------------------------------------
> >
> > On Thu, May 12, 2016 at 10:53 PM, Ma, Sheng-Chen (Aven) <
> > shengchen.ma@esgyn.cn> wrote:
> >
> > > Hi All:
> > > I found that trafodion now is not support apache hbase 1.1, and there
> > > are several files need to change. It's now very hard change. And may
> > > need 1-2 days to change it.
> > > Wish all guys vote if this should add to trafodion 2.0 ?
> > >
> > >
> >
>
>
>
> --
> Thanks,
>
> Amanda Moran
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message